Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class DOMErrorHandlerWrapper

    java.lang.Object
      |
      +--org.apache.xerces.util.DOMErrorHandlerWrapper

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMErrorHandler, org.apache.xerces.xni.parser.XMLErrorHandler

public class DOMErrorHandlerWrapper
extends java.lang.Object
implements org.apache.xerces.xni.parser.XMLErrorHandler, org.apache.xerces.dom3.DOMErrorHandler

This class handles DOM errors .

Version:
  $Id: DOMErrorHandlerWrapper.java,v 1.9 2003/11/13 22:47:16 elena Exp $
Author:
  Gopal Sharma, SUN Microsystems Inc.
See Also:
  `DOMErrorHandler`

Field Summary
`org.w3c.dom.Node` | `fCurrentNode`
`protected DOMErrorImpl` | `fDOMError`
`protected org.apache.xerces.dom3.DOMErrorHandler` | `fDomErrorHandler`
`protected java.io.PrintWriter` | `fOut`

Constructor Summary
`DOMErrorHandlerWrapper()`
`DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)`

Method Summary
`void` | `error(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports an error.
`void` | `fatalError(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Report a fatal error.
`org.apache.xerces.dom3.DOMErrorHandler` | `getErrorHandler()`
`boolean` | `handleError(org.apache.xerces.dom3.DOMError error)` This method is called on the error handler when an error occurs.
`void` | `setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)` Sets the DOM error handler.
`void` | `warning(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDomErrorHandler

    protected org.apache.xerces.dom3.DOMErrorHandler fDomErrorHandler

### fOut

    protected java.io.PrintWriter fOut

### fCurrentNode

    public org.w3c.dom.Node fCurrentNode

### fDOMError

    protected final DOMErrorImpl fDOMError

Constructor Detail

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper()

### DOMErrorHandlerWrapper

    public DOMErrorHandlerWrapper(org.apache.xerces.dom3.DOMErrorHandler domErrorHandler)

Method Detail

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.dom3.DOMErrorHandler errorHandler)

  Sets the DOM error handler.

### getErrorHandler

    public org.apache.xerces.dom3.DOMErrorHandler getErrorHandler()

### warning

    public void warning(java.lang.String domain,
                        java.lang.String key,
                        org.apache.xerces.xni.parser.XMLParseException exception)
                 throws org.apache.xerces.xni.XNIException

  Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.
  Specified by:
    `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
    `key` - The warning key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### error

    public void error(java.lang.String domain,
                      java.lang.String key,
                      org.apache.xerces.xni.parser.XMLParseException exception)
               throws org.apache.xerces.xni.XNIException

  Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).
  Specified by:
    `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
    `key` - The error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### fatalError

    public void fatalError(java.lang.String domain,
                           java.lang.String key,
                           org.apache.xerces.xni.parser.XMLParseException exception)
                    throws org.apache.xerces.xni.XNIException

  Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

  Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

  Specified by:
    `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
  Parameters:
    `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
    `key` - The fatal error key. This key can be any string and is implementation dependent.
    `exception` - Exception.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

### handleError

    public boolean handleError(org.apache.xerces.dom3.DOMError error)

  Description copied from interface: `org.apache.xerces.dom3.DOMErrorHandler`
  This method is called on the error handler when an error occurs.
  If an exception is thrown from this method, it is considered to be equivalent of returning `true`.
  Specified by:
    `handleError` in interface `org.apache.xerces.dom3.DOMErrorHandler`
  Following copied from interface: `org.apache.xerces.dom3.DOMErrorHandler`
  Parameters:
    `error` - The error object that describes the error. This object may be reused by the DOM implementation across multiple calls to the `handleError` method.
  Returns:
    If the `handleError` method returns `false`, the DOM implementation should stop the current processing when possible. If the method returns `true`, the processing may continue depending on `DOMError.severity`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.